<?php
/**
 * Copyright notice
 * (c) 2016 Oliver Thiele <mailYYYY@oliver-thiele.de>, Web Development Oliver Theiele
 * All rights reserved
 *
 * This script is part of the TYPO3 project. The TYPO3 project is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * This script is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * This copyright notice MUST APPEAR in all copies of the script!
 */

namespace OliverThiele\OtBootstrap3\Utility;

/**
 * Class DebugUtility
 *
 * @package OliverThiele\OtBootstrap3\Utility
 */
class DebugUtility
{

    /**
     * @param mixed $var
     * @param string $title
     */
    public static function logToFile($var, $title = '')
    {
//        $script_name = basename($_SERVER['PHP_SELF']);
//        $script_name = substr($script_name, 0, -4); // php extension and dot are not needed

        $file = '/html/typo3/typo3log.log';

        // Schreibt den Inhalt in die Datei
        // unter Verwendung des Flags FILE_APPEND, um den Inhalt an das Ende der Datei anzufügen
        // und das Flag LOCK_EX, um ein Schreiben in die selbe Datei zur gleichen Zeit zu verhindern

        if(is_bool($var)) {
            $str = (string) $var;

        } elseif (is_array($var)) {
            ob_start();
            var_dump($var);
            $str = ob_get_clean();
        } else {
            $str = $var;
        }


        file_put_contents($file, $title . ' | ' . $str . "\n", FILE_APPEND | LOCK_EX);
    }

}
