/* ==========================================================================
 isTouchDevice - return true if it is a touch device
 ========================================================================== */

function isTouchDevice() {
	return !!('ontouchstart' in window) || ( !!('onmsgesturechange' in window) && !!window.navigator.maxTouchPoints);
}


function enableParallax() {
	if (typeof $.fn.parallax != 'undefined') {
		$('.parallax').each(function () {
			var $t = $(this);
			$t.addClass("parallax-enabled");
			$t.parallax("49%", 0.3, false);
		});
	}
}


$(document).ready(function () {


	$('.lazy').slick({
		lazyLoad: 'ondemand',
		slidesToShow: 1,
		slidesToScroll: 1
	});

	$('.slick-slider').slick({
		speed: 500,
		fade: true,
		cssEase: 'linear',
		autoplay: true,
		autoplaySpeed: 2000,
		adaptiveHeight: true
	});

	/* ==========================================================================
	 Responsive Videos
	 ========================================================================== */
	fluidvids.init({
		selector: ['iframe'],
		players: ['www.youtube.com', 'player.vimeo.com']
	});

	/* ==========================================================================
	 Enable lightbox
	 ========================================================================== */
	$('.lightbox').magnificPopup({type: 'image'});

	/* ==========================================================================
	 Enable Parallax
	 ========================================================================== */
	if (!isTouchDevice()) {
		enableParallax();
	}
});
