<?php
defined('TYPO3_MODE') or die();


/**
 * The following code must be in this file. Configuration/TCA/Overrides/tt_content.php doesn't work, because the fields are needed in other CE-Extensions.
 */

$tempColumns = [
    'bootstrap_col_xs' => [
        'exclude' => 1,
        'label' => 'Extra small devices (<768px)',
        'config' => [
            'type' => 'select',
            'renderType' => 'selectSingle',
            'items' => [
                ['', '0'],
                ['1/12', '1'],
                ['2/12', '2'],
                ['3/12', '3'],
                ['4/12', '4'],
                ['5/12', '5'],
                ['6/12', '6'],
                ['7/12', '7'],
                ['8/12', '8'],
                ['9/12', '9'],
                ['10/12', '10'],
                ['11/12', '11'],
                ['12/12', '12'],
            ],
            'size' => 1,
            'maxitems' => 1,
        ]
    ],
    'bootstrap_col_sm' => [
        'exclude' => 1,
        'label' => 'Small devices (Tablets ≥768px)',
        'config' => [
            'type' => 'select',
            'renderType' => 'selectSingle',
            'items' => [
                ['', '0'],
                ['1/12', '1'],
                ['2/12', '2'],
                ['3/12', '3'],
                ['4/12', '4'],
                ['5/12', '5'],
                ['6/12', '6'],
                ['7/12', '7'],
                ['8/12', '8'],
                ['9/12', '9'],
                ['10/12', '10'],
                ['11/12', '11'],
                ['12/12', '12'],
            ],
            'size' => 1,
            'maxitems' => 1,
        ]
    ],
    'bootstrap_col_md' => [
        'exclude' => 1,
        'label' => 'Medium devices (Desktops ≥992px)',
        'config' => [
            'type' => 'select',
            'renderType' => 'selectSingle',
            'items' => [
                ['', '0'],
                ['1/12', '1'],
                ['2/12', '2'],
                ['3/12', '3'],
                ['4/12', '4'],
                ['5/12', '5'],
                ['6/12', '6'],
                ['7/12', '7'],
                ['8/12', '8'],
                ['9/12', '9'],
                ['10/12', '10'],
                ['11/12', '11'],
                ['12/12', '12'],
            ],
            'size' => 1,
            'maxitems' => 1,
        ]
    ],
    'bootstrap_col_lg' => [
        'exclude' => 1,
        'label' => 'Large devices Desktops (≥1200px)',
        'config' => [
            'type' => 'select',
            'renderType' => 'selectSingle',
            'items' => [
                ['', '0'],
                ['1/12', '1'],
                ['2/12', '2'],
                ['3/12', '3'],
                ['4/12', '4'],
                ['5/12', '5'],
                ['6/12', '6'],
                ['7/12', '7'],
                ['8/12', '8'],
                ['9/12', '9'],
                ['10/12', '10'],
                ['11/12', '11'],
                ['12/12', '12'],
            ],
            'size' => 1,
            'maxitems' => 1,
        ]
    ],
    'bootstrap_css' => [
        'exclude' => 1,
        'label' => 'CSS for outer <div>',
        'config' => [
            'type' => 'input',
            'size' => '30',
            'max' => '255',
            'eval' => ''
        ]
    ],
    'bootstrap_css_inner' => [
        'exclude' => 1,
        'label' => 'CSS for inner <div>',
        'config' => [
            'type' => 'input',
            'size' => '30',
            'max' => '255',
            'eval' => ''
        ]
    ],

    // @see http://daneden.github.io/animate.css/
    'animation_type' => [
        'exclude' => 1,
        'label' => 'Animation Type',
        'config' => [
            'type' => 'select',
            'renderType' => 'selectSingle',
            'items' => [
                ['', '0'],
                ['fadeIn', 'fadeIn'],
                ['fadeInUp', 'fadeInUp'],
                ['fadeInLeft', 'fadeInLeft'],
                ['fadeInRight', 'fadeInRight'],
                ['fadeInDown', 'fadeInDown'],
                ['zoomIn', 'zoomIn'],
            ],
            'size' => 1,
            'maxitems' => 1,
            'default' => ''
        ]
    ],
    'animation_delay' => [
        'exclude' => 1,
        'label' => 'Animation Delay',
        'config' => [
            'type' => 'input',
            'size' => '6',
            'max' => '8',
            'eval' => 'double2',
            'default' => '0'
        ]
    ],
    'animation_speed' => [
        'exclude' => 1,
        'label' => 'Animation Speed (ms)',
        'config' => [
            'type' => 'input',
            'size' => '4',
            'max' => '6',
            'eval' => '',
            'default' => '1000'
        ]
    ],
    'animation_offset' => [
        'exclude' => 1,
        'label' => 'Offset',
        'config' => [
            'type' => 'input',
            'size' => '4',
            'max' => '4',
            'eval' => 'trim',
            'default' => '90%'
        ]
    ],
];

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTCAcolumns('tt_content', $tempColumns);

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addToAllTCAtypes(
    'tt_content',
    ', --div--;Bootstrap, bootstrap_col_xs, bootstrap_col_sm, bootstrap_col_md, bootstrap_col_lg, bootstrap_css, bootstrap_css_inner,
       --div--;Animation, animation_type, animation_delay, animation_speed, animation_offset',
    '',
    'after:categories'
);

